﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CircularGaugeNeedleBindSample
{
   public class MyViewModel : INotifyPropertyChanged
    {

        private double values = 40;
        public double Value
        {
            get { return values; }
            set { values = value; RaisePropertyChanged("Value"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
